Subject: Re: [PATCH] filter: introduce SKF_AD_VLAN_PROTO BPF extension

From: Michal Kubecek <[email-masked]>
Date: Fri, 6 Mar 2015 15:02:34 +0100

On Thu, Mar 05, 2015 at 09:03:12PM +0100, Daniel Borkmann wrote:
> On 03/05/2015 05:52 PM, Alexei Starovoitov wrote:
> 
> >At this point I think it's up to Dave to decide whether we need
> >this patch (after fixing the issue pointed by Denis) or not.
> >imo there is a benefit of giving programs more visibility into
> >skb metadata.
> 
> I'm not really a big fan of it, but given we added commit a0cdfcf39362
> ("packet: deliver VLAN TPID to userspace") to packet sockets ...

IMHO the motivation here was not to allow filtering by TPID but because
without it, libpcap and its users had no chance to get this information
for packets captured on devices with Rx VLAN offloading so that e.g.
"tcpdump -e" was showing (guessed) TPID of 0x8100 for all of them, no
matter what the actual TPID was.

                                                         Michal Kubecek